package io.nexilis.alpha.ui.viewmodel

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class MainViewModel @Inject constructor() : ViewModel() {

    private val _title = MutableLiveData("")

    val title: LiveData<String> get() = _title

    fun setTitle(title: String) {
        _title.value = title
    }

}